
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/Graphics/SVG/SVG-19990812.dtd"
				xmlns:moustache="xalan://Moustache" >
<xsl:output method="text" />


<xsl:template match="/">

		<xsl:variable name="nbgen" select="count(descendant::generation)" />
 		<xsl:variable name="objet" select="moustache:new($nbgen)" />
		<xsl:variable name="taillebarre" select="format-number(250 div $nbgen,'#.###')" />
 		<xsl:apply-templates select="descendant::generation" mode="ajouter" ><xsl:with-param name="objet" select="$objet" /></xsl:apply-templates>
		<xsl:value-of select="moustache:trier($objet)"/>	

http://chart.apis.google.com/chart
  ?chxl=1:|Generation|3:|Fitness
  &#38;chxp=1,5|3,100
  &#38;chxr=0,0,<xsl:value-of select="1+$nbgen" />,1|1,0,5
  &#38;chxs=0,676767,11.5,0,lt,676767
  &#38;chxt=x,x,y,y
  &#38;chs=500x500
  &#38;cht=lc
  &#38;chco=FF0000
  &#38;chd=t0:-1,<xsl:call-template name="minimums" ><xsl:with-param name="objet" select="$objet" /></xsl:call-template>-1|-1,<xsl:call-template name="premierQuartile" ><xsl:with-param name="objet" select="$objet" /></xsl:call-template>-1|-1,<xsl:call-template name="troisiemeQuartile" ><xsl:with-param name="objet" select="$objet" /></xsl:call-template>-1|-1,<xsl:call-template name="maximums" ><xsl:with-param name="objet" select="$objet" /></xsl:call-template>-1|-1,<xsl:call-template name="mediane" ><xsl:with-param name="objet" select="$objet" /></xsl:call-template>-1
  &#38;chm=F,0000FF,0,,<xsl:value-of select="$taillebarre" />|H,FF0000,4,,1:<xsl:value-of select="$taillebarre" />|H,0000FF,0,,1:<xsl:value-of select="$taillebarre" />|H,0000FF,3,,1:<xsl:value-of select="$taillebarre" />
  &#38;chdl=mediane   
  &#38;chg=<xsl:value-of select="format-number( 100 div (1+$nbgen),'#.###')" />,5,0,0
  &#38;chls=2,4,0
  &#38;chtt=Box Plot (min,1st quartile,mediane,3rd quartile,max) 


</xsl:template>


<xsl:template name="minimums" >
	<xsl:param name="objet" />
	<xsl:value-of select="moustache:minimums($objet)"/>	
</xsl:template>

<xsl:template name="premierQuartile" >
	<xsl:param name="objet" />
	<xsl:value-of select="moustache:premierQuartile($objet)"/>	
</xsl:template>

<xsl:template name="troisiemeQuartile" >
	<xsl:param name="objet" />
	<xsl:value-of select="moustache:troisiemeQuartile($objet)"/>	
</xsl:template>

<xsl:template name="maximums" >
	<xsl:param name="objet" />
	<xsl:value-of select="moustache:maximums($objet)"/>	
</xsl:template>

<xsl:template name="mediane" >
	<xsl:param name="objet" />
	<xsl:value-of select="moustache:mediane($objet)"/>	
</xsl:template>



<xsl:template match="generation" mode="ajouter" >
	<xsl:param name="objet" />
	<xsl:apply-templates select="descendant::individual" mode="ajouter" >
		<xsl:with-param name="objet" select="$objet" />
		<xsl:with-param name="generation" select="position()" />
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="individual" mode="ajouter" >
	<xsl:param name="objet" />
	<xsl:param name="generation" />
	 <xsl:value-of select="moustache:ajouterListe($objet,@fitness,$generation)"/>	
</xsl:template>

</xsl:stylesheet>
