
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/Graphics/SVG/SVG-19990812.dtd"
				xmlns:wilcoxon="xalan://Wilcoxon" >

<xsl:output method="text" />


<xsl:template match="/">

		<xsl:variable name="nbtreatment" select="count(descendant::treatment)" />
		<xsl:variable name="nbtrials" select="count(descendant::trial) div $nbtreatment" />
	 	<xsl:variable name="objet" select="wilcoxon:new($nbtreatment,$nbtrials)" />
		
		<xsl:apply-templates select="descendant::treatment" mode="ajouter" >
			<xsl:with-param name="objet" select="$objet" />
		</xsl:apply-templates>

		<xsl:value-of select="wilcoxon:getresult($objet)"/>	
</xsl:template>


<xsl:template match="treatment" mode="ajouter" >
	<xsl:param name="objet" />
	<xsl:apply-templates select="descendant::trial" mode="ajouter" >
		<xsl:with-param name="objet" select="$objet" />
		<xsl:with-param name="treatment" select="position()" />
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="trial" mode="ajouter" >
	<xsl:param name="objet" />
	<xsl:param name="treatment" />
	<xsl:apply-templates select="descendant::individual" mode="ajouter" >
		<xsl:with-param name="objet" select="$objet" />
		<xsl:with-param name="treatment" select="$treatment" />
		<xsl:with-param name="trial" select="position()" />
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="individual" mode="ajouter" >
	<xsl:param name="objet" />
	<xsl:param name="treatment" />
	<xsl:param name="trial" />
	<xsl:value-of select="wilcoxon:ajouterListe($objet,@fitness,$treatment -1,$trial -1)"/>	
</xsl:template>

</xsl:stylesheet>
